package net.knarcraft.ffmpegconverter.converter.module.hardwarecoding;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import net.knarcraft.ffmpegconverter.utility.FFMpegHelper;
import org.jetbrains.annotations.NotNull;

/**
 * A module for setting output as h265 (hevc), accelerated with Nvidia hardware
 */
public class H265HardwareEncodingModule implements ConverterModule {

    private final int quality;

    /**
     * Instantiates a new h265 (hevc) hardware encoding module
     *
     * @param quality <p>The crf quality to use</p>
     */
    public H265HardwareEncodingModule(int quality) {
        this.quality = quality;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        FFMpegHelper.addH265HardwareEncoding(command, this.quality);
    }

}
