package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import net.knarcraft.ffmpegconverter.utility.FileUtil;
import org.jetbrains.annotations.NotNull;

/**
 * A module for setting the output file
 */
public class SetOutputFileModule implements ConverterModule {

    private final String outputFile;

    /**
     * Instantiates a new set output file module
     *
     * @param outputFile <p>The output file to set</p>
     */
    public SetOutputFileModule(@NotNull String outputFile) {
        this.outputFile = outputFile;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.setOutputFile(this.outputFile);
        if (FileUtil.getExtension(this.outputFile).equals("mkv")) {
            command.addOutputFileOption("-f", "matroska");
        }
    }

}
