package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for setting the video codec
 */
public class SetVideoCodecModule implements ConverterModule {

    private final String codec;

    /**
     * Instantiates a new set video codec module
     *
     * @param codec <p>The codec to set</p>
     */
    public SetVideoCodecModule(@NotNull String codec) {
        this.codec = codec;
    }

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-vcodec", codec);
    }

}
