package net.knarcraft.ffmpegconverter.converter.sorter;

import net.knarcraft.ffmpegconverter.streams.SubtitleStream;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

/**
 * A sorter for sorting subtitles by language
 */
public class SubtitleLanguageSorter extends AbstractSorter<SubtitleStream> {

    private final String[] languageOrder;

    /**
     * Instantiates a new subtitle language sorter
     *
     * @param languageOrder <p>The order of preference for subtitle languages</p>
     */
    public SubtitleLanguageSorter(@NotNull String[] languageOrder) {
        this.languageOrder = languageOrder;
    }

    @Override
    public @NotNull List<SubtitleStream> sort(@NotNull List<SubtitleStream> input) {
        return sortStreamsByLanguage(new ArrayList<>(input), this.languageOrder);
    }

}
