package net.knarcraft.ffmpegconverter.utility;

import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.Assert.assertEquals;

public class StringUtilTest {

    @Test
    public void stringBetweenNoMatches() {
        List<String> result = StringUtil.stringBetween("a test string", "[", "]");
        List<String> empty = new ArrayList<>();
        assertEquals(empty, result);
    }

    @Test
    public void stringBetweenOneMatch() {
        List<String> result = StringUtil.stringBetween("a [test] string", "[", "]");
        List<String> expected = List.of("test");
        assertEquals(expected, result);
    }

    @Test
    public void stringBetweenSeveralMatches() {
        List<String> result = StringUtil.stringBetween("a long string containing a lot of potential matches for " +
                "the string between method defined in the StringUtil class", " ", "a");
        List<String> expected = List.of("long string cont", "", "lot of potenti", "m",
                "for the string between method defined in the StringUtil cl");
        assertEquals(expected, result);
    }
}
